Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public interface

# OnStateDeletedListener

com.google.android.gms.appstate.OnStateDeletedListener

This interface is deprecated.
See `AppStateManager.StateDeletedResult`.

## Class Overview

Listener for receiving callbacks when app state data has been deleted.

## Summary

Public Methods
abstract void | onStateDeleted(int statusCode, int stateKey) Called when app state data has been deleted.

## Public Methods

#### public abstract void onStateDeleted (int statusCode, int stateKey)

Called when app state data has been deleted. Possible status codes include:

- `STATUS_OK` if data was successfully deleted from the server.
- `STATUS_NETWORK_ERROR_OPERATION_FAILED` if the device was unable to communicate with the network. In this case, the operation is not retried automatically.
- `STATUS_CLIENT_RECONNECT_REQUIRED` if the client needs to reconnect to the service to access this data.
- `STATUS_INTERNAL_ERROR` if an unexpected error occurred in the service.

##### Parameters

statusCode | A status code indicating the result of the operation.
stateKey | The state key for the data that was loaded, if available.